<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.messaging-activemq.server.bridge" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="call-timeout,check-period,confirmation-window-size,connection-ttl,credential-reference,discovery-group,filter,forwarding-address,ha,initial-connect-attempts,max-retry-interval,min-large-message-size,password,producer-window-size,queue-name,reconnect-attempts,reconnect-attempts-on-same-node,retry-interval,retry-interval-multiplier,routing-type,static-connectors,transformer-class-name,use-duplicate-detection,user"/>
        <elem name="addr-params" value="profile,subsystem,server,bridge"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.messaging-activemq"/>
    </annotation>
    <refs>
        <ref feature="subsystem.messaging-activemq.server"/>
        <ref feature="subsystem.messaging-activemq"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="server" feature-id="true"/>
        <param name="confirmation-window-size" nillable="true" stability="default"/>
        <param name="producer-window-size" nillable="true" stability="default"/>
        <param name="retry-interval" nillable="true" stability="default"/>
        <param name="subsystem" feature-id="true" default="messaging-activemq"/>
        <param name="reconnect-attempts-on-same-node" nillable="true" stability="default"/>
        <param name="call-timeout" nillable="true" stability="default"/>
        <param name="queue-name" stability="default"/>
        <param name="password" nillable="true" stability="default"/>
        <param name="connection-ttl" nillable="true" stability="default"/>
        <param name="min-large-message-size" nillable="true" stability="default"/>
        <param name="discovery-group" nillable="true" stability="default"/>
        <param name="check-period" nillable="true" stability="default"/>
        <param name="max-retry-interval" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="credential-reference" nillable="true" stability="default"/>
        <param name="reconnect-attempts" nillable="true" stability="default"/>
        <param name="use-duplicate-detection" nillable="true" stability="default"/>
        <param name="filter" nillable="true" stability="default"/>
        <param name="routing-type" nillable="true" stability="default"/>
        <param name="forwarding-address" nillable="true" stability="default"/>
        <param name="static-connectors" nillable="true" type="List&lt;String&gt;" stability="default"/>
        <param name="ha" nillable="true" stability="default"/>
        <param name="retry-interval-multiplier" nillable="true" stability="default"/>
        <param name="initial-connect-attempts" nillable="true" stability="default"/>
        <param name="bridge" feature-id="true"/>
        <param name="transformer-class-name" nillable="true" stability="default"/>
        <param name="user" nillable="true" stability="default"/>
    </params>
</feature-spec>